import * as $dara from '@darabonba/typescript';
export declare class DescribeEmgUserAgreementResponseBody extends $dara.Model {
    /**
     * @remarks
     * Indicates whether Security Center is authorized to scan for urgent vulnerabilities. Valid values:
     *
     * *   **true**: yes
     * *   **false**: no
     *
     * @example
     * true
     */
    auth?: boolean;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 768BB9F5-8AF3-557F-A489-9BDD64CB3E4C
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
